# (tv) fix // build randomly failling with: 
# "error: Package `Totem-1.0' not found in specified Vala API directories or GObject-Introspection GIR directories"
%global _smp_ncpus_max 4

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gi_major}
%define busname		org.gnome.Totem

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Movie player for GNOME
Name:		totem
Version:	43.0
Release:	%mkrel 3
License:	GPLv2 with exception
Group:		Video/Players
URL:		https://wiki.gnome.org/Apps/Videos
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# git upstream (see https://gitlab.gnome.org/GNOME/totem)
Patch0:		0010-mpris-Fix-artist-not-showing-in-gnome-shell.patch
Patch1:		0013-main-Fix-scroll-by-page-GTK-setting-breaking-slider.patch
#
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	shared-mime-info
BuildRequires:	desktop-file-utils
BuildRequires:	appdata-tools
BuildRequires:	python3dist(pylint)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(grilo-pls-0.3)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	gstreamer1.0-plugins-bad
BuildRequires:	gstreamer1.0-soundtouch
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libportal-gtk3)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(liblircclient0) >= 0.10.0
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
# For the gtkglsink element.
BuildRequires: gstreamer1.0-plugins-good

%ifarch %{ix86} x86_64
BuildRequires:	pkgconfig(nvtvsimple)
%endif

Requires:	grilo-plugins
Requires:	iso-codes
Requires:	gstreamer1.0-gstclutter3
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-soundtouch
Requires:	%arch_tagged gstreamer1(element-scaletempo)
Requires:	gstreamer1.0-soup
Requires:	python3-gobject3
Requires:	task-codec-video
Recommends:	gstreamer1.0-resindvd
Recommends:	gstreamer1.0-a52dec
Recommends:	gstreamer1.0-libav

# ovitters mga#5132: totem hard coded requirement on 2 gnome icon themes packages:
Requires:	adwaita-icon-theme

Obsoletes:	totem-mozilla < 3.12.2-2
Obsoletes:	totem-mozilla-flash < 3.12.2-2
Obsoletes:	totem-tracker < %{version}
Obsoletes:	totem-nautilus < 3.30.0-2

%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared libraries for %{name}
Requires:	gsettings-desktop-schemas

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Devel files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Devel files for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install

rm -rf \
 %{buildroot}%{_libdir}/libbaconvideowidget.so \
 %{buildroot}%{_libdir}/totem/plugins/bemused/ \
 %{buildroot}%{_libdir}/totem/plugins/mythtv/

%find_lang %{name} --with-gnome

%py_byte_compile %{python3} %{buildroot}%{_libdir}/totem/plugins/

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/apple-trailers
%{_libdir}/totem/plugins/autoload-subtitles
%{_libdir}/totem/plugins/mpris
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/recent
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/plugins/vimeo/libvimeo.so
%{_libdir}/totem/plugins/vimeo/vimeo.plugin
%{_libdir}/totem/plugins/im-status
%{_libdir}/totem/plugins/open-directory
%{_libdir}/totem/plugins/variable-rate/libvariable-rate.so
%{_libdir}/totem/plugins/variable-rate/variable-rate.plugin
%{_libdir}/totem/plugins/open-directory/libopen-directory.so
%{_libdir}/totem/plugins/open-directory/open-directory.plugin
%{_datadir}/thumbnailers/totem.thumbnailer
%{_mandir}/man1/*
%{_bindir}/totem
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/
%{_datadir}/glib-2.0/schemas/*.xml
%{_libexecdir}/totem-gallery-thumbnailer

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Totem-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Totem-%{gi_major}.gir


%changelog
* Sun Apr 23 2023 ghibo <ghibo> 43.0-3.mga9
+ Revision: 1954607
- Rebuild against newer GNOME libs

* Thu Feb 09 2023 ghibo <ghibo> 43.0-2.mga9
+ Revision: 1939846
- Add patch from git upstream to fix problems with bottom seek button  (upsteram bug #541).
- Add patch from git upstream to fix artist not showing in gnome-shell (upstream bug #542).

* Fri Sep 23 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891782
- Update to 43.0

* Sun Mar 20 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801721
- Remove automagic Python bytecompilation
- Update to 42.0
+ ovitters <ovitters>
- new version 3.38.2

* Wed Jun 16 2021 ovitters <ovitters> 3.38.1-1.mga9
+ Revision: 1730959
- new version 3.38.1

* Sat Sep 12 2020 daviddavid <daviddavid> 3.38.0-1.mga8
+ Revision: 1624958
- new version 3.38.0

* Mon Feb 24 2020 tv <tv> 3.34.1-3.mga8
+ Revision: 1549854
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1534553
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1449346
- new version 3.34.1

* Wed Sep 25 2019 daviddavid <daviddavid> 3.34.0-4.mga8
+ Revision: 1445876
- re-enable pylint support with python3

* Wed Sep 25 2019 daviddavid <daviddavid> 3.34.0-3.mga8
+ Revision: 1445791
- remove also BR pylint
+ tv <tv>
- Remove deps on pyxdg, it's no longer required

* Mon Sep 16 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1441861
- rebuild for libpeas

* Fri Sep 06 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1437783
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.90-3.mga8
+ Revision: 1427970
- rebuild for new libpeas

* Mon Aug 05 2019 tv <tv> 3.33.90-2.mga8
+ Revision: 1427492
- adjust file list

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427441
- new version 3.33.90

* Fri Jul 12 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1420699
- new version 3.32.1

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392940
- Rebuild with meson 0.50.1

* Fri Mar 08 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1372952
- new version 3.32.0

* Fri Mar 08 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1372854
- new version 3.31.92

* Tue Dec 11 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1340287
- new version 3.30.0

* Thu Sep 13 2018 daviddavid <daviddavid> 3.26.2-2.mga7
+ Revision: 1258881
- requires gstreamer1.0-gstclutter3 instead of old gstreamer1.0-gstclutter

* Tue Sep 04 2018 daviddavid <daviddavid> 3.26.2-1.mga7
+ Revision: 1257081
- new version: 3.26.2

* Tue Feb 20 2018 ovitters <ovitters> 3.26.0-4.mga7
+ Revision: 1203794
- add patch to fix build with newer gtk-doc
- rebuild for gnome-desktop

* Fri Sep 22 2017 tv <tv> 3.26.0-3.mga7
+ Revision: 1157528
- further reduce max cpus to 4
- adjust filelist
- bump needed lirc version
- limit max CPUs to 8 due to random FBTS
- new release

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094024
- new version 3.24.0

* Fri Mar 03 2017 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1088573
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-3.mga6
+ Revision: 1056841
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1056181
- clean spec

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055928
- new version 3.22.0
- dropped merged patch 1

* Thu May 26 2016 ovitters <ovitters> 3.20.1-3.mga6
+ Revision: 1018754
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993532
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992411
- new version 3.19.92

* Fri Mar 04 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985626
- new version 3.19.91

* Fri Feb 05 2016 umeabot <umeabot> 3.19.3-2.mga6
+ Revision: 937389
- Mageia 6 Mass Rebuild

* Thu Dec 17 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911520
- new version 3.19.3

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889939
- new version 3.18.1

* Fri Sep 25 2015 tv <tv> 3.18.0-2.mga6
+ Revision: 883596
- rebuild for new grilo

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882857
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.16.4-1.mga6
+ Revision: 879597
- new version 3.16.4

* Mon Sep 07 2015 tv <tv> 3.16.3-2.mga6
+ Revision: 873932
- rebuild for new libgrilo

* Mon Aug 31 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 871591
- new version 3.16.3

* Sat Jul 25 2015 tv <tv> 3.16.2-4.mga6
+ Revision: 857097
- rebuild for new gnome-desktop

* Tue Jun 30 2015 wally <wally> 3.16.2-3.mga6
+ Revision: 848942
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.16.2-2.mga6
+ Revision: 847845
- add requires for gir pkg to devel pkg

* Mon Jun 29 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 847387
- new version 3.16.2

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838406
- new version 3.16.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836397
- new version 3.14.3

* Wed Jan 28 2015 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 812599
- new version 3.14.2

* Sun Jan 04 2015 ovitters <ovitters> 3.14.1-2.mga5
+ Revision: 808375
- require task-codec-video
- new version 3.14.1
+ fwang <fwang>
- br appstream-glib-devel

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 746920
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731371
- rebuild with new rpm-mageia-setup to generate requires for .typelib files
+ tv <tv>
- rebuild so that it picks typelib() requires
+ ovitters <ovitters>
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 689929
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Sep 03 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 671631
- new version 3.13.92
- new version 3.13.91

* Fri Aug 22 2014 sander85 <sander85> 3.13.90-2.mga5
+ Revision: 666519
- Obsolete dropped subpackages

* Fri Aug 22 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666394
- remove mozilla,mozilla-flash subpackages (removed upstream)
- new version 3.13.90
+ fwang <fwang>
- cleanup category

* Mon Aug 18 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 665050
- new version 3.12.2
- dropped merged patch 2
- dropped merged patch 1

* Mon Jun 23 2014 ovitters <ovitters> 3.12.1-4.mga5
+ Revision: 638826
- update url

* Fri Jun 20 2014 ovitters <ovitters> 3.12.1-3.mga5
+ Revision: 638193
- add upstream patch to fix crash with recent gtk+ (mga#13527)

* Fri May 16 2014 ovitters <ovitters> 3.12.1-2.mga5
+ Revision: 622999
- add upstream patch to fix potential data loss when removing multiple files
+ wally <wally>
- switch icon theme requires to adwaita-icon-theme

* Wed Apr 30 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 618964
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607884
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 605613
- new version 3.11.91

* Mon Feb 24 2014 tv <tv> 3.11.90-3.mga5
+ Revision: 596133
- rebuild for new cogl

* Mon Feb 24 2014 pterjan <pterjan> 3.11.90-2.mga5
+ Revision: 596121
- Rebuild for new cogl
+ ovitters <ovitters>
- new version 3.11.90
- dropped merged patch 1

* Sat Feb 08 2014 wally <wally> 3.11.5-2.mga5
+ Revision: 586500
- improve linking patch

* Sat Feb 08 2014 wally <wally> 3.11.5-1.mga5
+ Revision: 586452
- add patch to fix linking
+ ovitters <ovitters>
- disable appdata validation during build (needs network)
- new version 3.11.5

* Mon Oct 21 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 538435
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 fwang <fwang> 3.10.1-1.mga4
+ Revision: 489597
- update file list
+ ovitters <ovitters>
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483845
- new version 3.10.0

* Wed Sep 18 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 481274
- bump req
- bump req
+ ovitters <ovitters>
- new version 3.9.92

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462418
- rebuild for new cogl

* Mon Jul 29 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 460484
- update %%files
+ ovitters <ovitters>
- new version 3.9.5

* Sun Jul 14 2013 sander85 <sander85> 3.8.2-2.mga4
+ Revision: 454310
- Rebuild for new cogl

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426731
- br itstool,libxml2-utils
- new version 3.8.2

* Mon Jan 14 2013 umeabot <umeabot> 3.6.3-6.mga3
+ Revision: 384699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 3.6.3-5.mga3
+ Revision: 340088
- Fix for _libdir != _libexecdir

* Fri Nov 23 2012 blino <blino> 3.6.3-4.mga3
+ Revision: 321143
- use arch_tagged macro for gstreamer element-scaletempo requires

* Tue Nov 20 2012 fwang <fwang> 3.6.3-3.mga3
+ Revision: 319730
- fix requires

* Fri Nov 16 2012 ovitters <ovitters> 3.6.3-2.mga3
+ Revision: 318912
- requires gstreamer1(element-scaletempo) (mga#8088)

* Thu Nov 08 2012 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 316453
- new version 3.6.3

* Thu Oct 25 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 310018
- add more br
+ ovitters <ovitters>
- new version 3.6.2

* Thu Oct 11 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 304678
- fix group
- add require on gsettings-desktop-schemas (mga#7766)

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297498
- new version 3.6.0

* Tue Sep 18 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 295959
- new version 3.5.92

* Fri Sep 14 2012 ovitters <ovitters> 3.5.90-8.mga3
+ Revision: 293828
- rebuild due to new gstreamer (undefined symbol: gst_message_parse_duration)

* Thu Sep 13 2012 blino <blino> 3.5.90-7.mga3
+ Revision: 293709
- use upstream version of the mozilla plugin patches

* Sat Sep 08 2012 ovitters <ovitters> 3.5.90-6.mga3
+ Revision: 290059
- split flash plugin into seperate subpackage

* Fri Sep 07 2012 blino <blino> 3.5.90-5.mga3
+ Revision: 289382
- really fix Mga #7359 / Gnome #683429

* Thu Sep 06 2012 blino <blino> 3.5.90-4.mga3
+ Revision: 288985
- browser-plugin: force registration of TotemGlowButton type (Mga #7359, Gnome #683429)

* Wed Sep 05 2012 ovitters <ovitters> 3.5.90-3.mga3
+ Revision: 288574
- suggest gstreamer1.0-libav

* Wed Sep 05 2012 blino <blino> 3.5.90-2.mga3
+ Revision: 288406
- require gstclutter and soundtouch gstreamer plugins (they are not optional)

* Wed Sep 05 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 288352
- update file list
- update file list
- update br
- adjust br
+ ovitters <ovitters>
- br gstreamer1.0-soundtouch
- br gstreamer1.0-plugins-bad
- br gstreamer-plugins-good-1.0
- new version 3.5.90

* Wed Jul 04 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 267186
- new version 3.4.3

* Tue May 29 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 249413
- mga#5132: add requires for 2 gnome icon themes packages as totem hard coded this requirement

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235718
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231078
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227108
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223809
- new version 3.3.92

* Fri Mar 16 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 223592
- suggests codec installation feature

* Tue Mar 06 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 220048
- rebuild for new cogl

* Thu Feb 23 2012 tv <tv> 3.3.90-2.mga2
+ Revision: 212670
- rebuild for new cogl

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211487
- new version 3.3.90

* Sun Jan 29 2012 fwang <fwang> 3.3.4-4.mga2
+ Revision: 202816
- fix br on vala

* Tue Jan 17 2012 fwang <fwang> 3.3.4-3.mga2
+ Revision: 197266
- rebuild for new cogl

* Sat Dec 31 2011 blino <blino> 3.3.4-2.mga2
+ Revision: 189282
- disable vegas plugin, it takes over all flash animations (#3851)

* Wed Dec 21 2011 wally <wally> 3.3.4-1.mga2
+ Revision: 185499
- new version 3.3.4
- BR pylint
- drop obsolete youtube plugin

* Wed Nov 23 2011 fwang <fwang> 3.2.1-2.mga2
+ Revision: 171343
- rebuild for new clutter

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155728
- new version 3.2.1

* Fri Sep 30 2011 wally <wally> 3.2.0-2.mga2
+ Revision: 150533
- re-enable publish plugin

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148623
- new version 3.2.0

* Wed Sep 21 2011 fwang <fwang> 3.1.92-2.mga2
+ Revision: 146207
- bump rel

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146204
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 145770
- add BR shared-mime-info
- temporarily disable publish plugin
- new version 3.1.91
- bump libepc req
- rebuild for new libepc
- clean BRs and use pkgconfig style when possible
- enable some disabled plugin
- clean some old obsoletes/provides
- clean .spec
- rebuild for new tracker0.11 (add P2)
+ fwang <fwang>
- rebuild
- tweak req on tracker plugin
- update file list
- drop tracker plugin
- New version 3.1.4
  drop mereged patch, tracker not supported any more
- rebuild for new cogl
+ blino <blino>
- suggest gstreamer0.10-a52dec (for DVD audio tracks)
- suggest gstreamer0.10-resindvd (DVD menu plugin)
+ ahmad <ahmad>
- Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Sun Jul 10 2011 fwang <fwang> 3.1.0-1.mga2
+ Revision: 121642
- update file list
- br gtk-doc
- add upstream patch to build with gdata0.9
- fix str fmt
- br pygobject
- br mx
- br clutter
- new version 3.1.0
- do not install unneeded icons

* Tue Jun 28 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 115413
- clean up old req from gtk2

* Sat Jun 25 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 113321
- Fix file list
- Update buildrequires
- New version 3.0.1

* Mon Jun 13 2011 cjw <cjw> 2.32.0-5.mga2
+ Revision: 105817
- add build dependency on libproxy-devel
- rebuild with new libgdata and nautilus
- fix url

* Wed Feb 16 2011 ahmad <ahmad> 2.32.0-4.mga1
+ Revision: 52067
- add missing BR
- drop old/unneeded scriptlets
- imported package totem


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 2.32.0-3mdv2011.0
+ Revision: 593603
- enalbe easy codec installation

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 590076
- rebuild for python 2.7

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581376
- update to new version 2.32.0

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.2-1mdv2011.0
+ Revision: 579616
- update build deps
- update to new version 2.31.92.2

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.1-1mdv2011.0
+ Revision: 578908
- update to new version 2.31.92.1

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578818
- update to new version 2.31.92

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 578034
- new version
- add chapters plugin

* Thu Aug 12 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 569216
- new version
- update build deps

* Tue May 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.2-3mdv2010.1
+ Revision: 545160
- Update solid translations

* Fri May 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.2-2mdv2010.1
+ Revision: 544739
- Add some more translations for totem-opendvd.desktop

* Wed May 12 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 544604
- Release 2.30.2
- Remove patch10 (merged upstream)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 544376
- Patch10 (GIT): various bug fixes from GIT

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add new translation for the solid action

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 543100
- Fix installation dir

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543096
- Add a solid action, that allow totem to be shown on kde devicenotifier

  + Götz Waschk <waschk@mandriva.org>
    - fix gst-plugins dep (bug #58950)

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539831
- new version
- depend on new unstable gstreamer
- drop youtube patch
- add tracker search plugin

* Mon Apr 05 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 531556
- fix youtube support (upstream bug #614679)

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528910
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 520302
- update to new version 2.29.92

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510604
- update to new version 2.29.91

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-2mdv2010.1
+ Revision: 506059
- rebuild for new libgdata

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 497436
- new version
- drop patch 2
- bump deps
- fix nautilus dep

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.5-1mdv2010.1
+ Revision: 481345
- update to new version 2.28.5

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.4-1mdv2010.1
+ Revision: 467786
- update to new version 2.28.4

* Fri Nov 13 2009 Götz Waschk <waschk@mandriva.org> 2.28.3-1mdv2010.1
+ Revision: 465861
- new version
- drop patch 1

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-2mdv2010.1
+ Revision: 465237
- don't try to always use pulseaudio (bug #55545)

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 460909
- new version
- drop patch 1

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-4mdv2010.0
+ Revision: 458770
- Force rebuild

* Thu Oct 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-3mdv2010.0
+ Revision: 458682
- enable midi support in the browser plugin (bug #47922)
- add dep on soup element

* Wed Oct 14 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-2mdv2010.0
+ Revision: 457269
- set default visual plugin to goom2k1 (bug 53140)
- enable linking with no-undefined

* Tue Sep 29 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.0
+ Revision: 450972
- update to new version 2.28.1

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.28.0-3mdv2010.0
+ Revision: 450398
- enable nvtv on x86 only (from Arnaud Patard)

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 447378
- rebuild for new libgdata

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446551
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437421
- update to new version 2.27.92
- reenable vala support

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 409962
- new version
- drop patches
- update gstreamer dep

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-8mdv2010.0
+ Revision: 398301
- patch for new libgdata
- rebuild for new libgdata

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-7mdv2010.0
+ Revision: 393137
- disable vala plugin
- make mozilla plugin depend on main package for the ui file (bug #52047)

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-6mdv2010.0
+ Revision: 379572
- rebuild for new libgdata

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-5mdv2010.0
+ Revision: 376864
- add more missing deps for the iplayer plugin

* Sun May 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-4mdv2010.0
+ Revision: 376691
- fix deps (bug #51019)

* Tue May 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-3mdv2010.0
+ Revision: 374880
- make mozilla plugin installable without totem

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 374589
- enable youtube plugin
- explicitely list all plugins

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374338
- update build deps
- new version
- restructure package and obsolete old rpms

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 371275
- update to new version 2.26.2

* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 363683
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355737
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347811
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341796
- new version
- drop patch
- update file list

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-2mdv2009.1
+ Revision: 340674
- fix a crash in the xine backend

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337022
- new version
- drop patch

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-4mdv2009.1
+ Revision: 328933
- fix XV setting (bug #46932)

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-3mdv2009.1
+ Revision: 327128
- add some more python plugin deps
- add missing dep on gnome-python-gconf

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 319936
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315915
- new version
- update file list

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.3-2mdv2009.1
+ Revision: 301014
- rebuilt against new libxcb

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 297740
- update to new version 2.24.3

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-2mdv2009.1
+ Revision: 296075
- rebuild for new libepc

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 291930
- new version

* Wed Oct 01 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.0
+ Revision: 290398
- new version

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286364
- new version

  + Michael Scherer <misc@mandriva.org>
    - fix summary and description

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277477
- new version
- drop patches
- update file list
- bump totem-plparser dep

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-4mdv2009.0
+ Revision: 258366
- remove firefox dep

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.23.4-3mdv2009.0
+ Revision: 236377
- rebuilt for mozilla-firefox-2.0.0.16

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 232925
- use a different alternative name on 64 bit for biarch compatibility

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231676
- new version
- rearrange packaging of the xine and gstreamer backends
- add backend switching script from Fedora
- patches to make it build
- update license
- add dep on ffmpeg plugin to make totem-gstreamer usable by default

  + Tiago Salem <salem@mandriva.com.br>
    - Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 197422
- new version

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-2mdv2009.0
+ Revision: 195864
- rebuild for new firefox

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192494
- new version

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 191658
- Remove suggests on gstreamer subpackages, it is now handled by codeina

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 190443
- rebuild for firefox 2.0.0.13

  + Anssi Hannula <anssi@mandriva.org>
    - update alternatives handling in %%postun to match policy

* Wed Mar 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 187219
- Fix alternative uninstall for mozilla subpackages
- Add missing menu macros

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183452
- new version

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 2.21.96-1mdv2008.1
+ Revision: 178114
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.95-1mdv2008.1
+ Revision: 175503
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.94-1mdv2008.1
+ Revision: 174578
- new version
- fix build of the xine backend
- add missing file

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.93-1mdv2008.1
+ Revision: 165843
- remove update menu call
- new version
- drop patch

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 2.21.92-2mdv2008.1
+ Revision: 164648
- rebuild for new FF

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 162388
- new version
- drop patch
- patch to fix the build of the xine backend

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-4mdv2008.1
+ Revision: 160043
- fix vala plugin build
- depend on python-gdata (bug #37325)

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-3mdv2008.1
+ Revision: 152169
- rebuild for new libepc

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 151934
- fix installation with new nautilus

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove unneeded update/clean menus call

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 146367
- new version
- bump deps
- remove vala workaround

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-2mdv2008.1
+ Revision: 117688
- rebuild for new firefox

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 116020
- new version
- depend on libepc
- fix vala build

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 115276
- new version
- drop plparser lib

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108088
- new version

* Wed Nov 07 2007 Funda Wang <fwang@mandriva.org> 2.21.1-3mdv2008.1
+ Revision: 106701
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 106068
- rebuild for new firefox

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 104344
- new version
- new major

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 102581
- new version
- new major
- update file list and alternatives for new binary and mozilla plugin

  + Funda Wang <fwang@mandriva.org>
    - New version 2.20.1

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-6mdv2008.1
+ Revision: 100433
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 2.20.0-5mdv2008.1
+ Revision: 99853
- Rebuild against FF 2.0.0.7

* Wed Oct 03 2007 Anne Nicolas <ennael@mandriva.org> 2.20.0-4mdv2008.0
+ Revision: 94929
- Fix menu

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 93086
- Patch0 (SVN): various bug fixes from SVN

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 91376
- suggest some gstreamer codec packages in totem-gstreamer

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88889
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 65202
- new version
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57590
- new devel name
- rebuild

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56525
- new version
- drop patches
- update deps

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.4-7mdv2008.0
+ Revision: 56402
- Patch1 (CVS): add support for more Ogg mime types
- Patch2 (CVS): prevent visual effects to start in browser plugin

* Fri Jun 22 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-6mdv2008.0
+ Revision: 42882
- fix deps of totem-common (bug #31519)

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-5mdv2008.0
+ Revision: 39894
- rebuild for new ff

* Sun Jun 10 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.4-4mdv2008.0
+ Revision: 37741
- Run automake after patching Makefile.am
- Add ubuntu patch for GNOME bug #444564 (MDV bug #31292)

  + Götz Waschk <waschk@mandriva.org>
    - drop patch since we have the latest xine-lib

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.4-2mdv2008.0
+ Revision: 36210
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - new major
    - fix buildrequires
    - add new plugins

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-1mdv2008.0
+ Revision: 30301
- Release 2.18.2
- Remove patch0 (merged upstream)
- Patch0: lower xine-lib dependency, our xine-lib package is already patched with correct fix

* Wed May 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-2mdv2008.0
+ Revision: 25660
- Patch0 (SVN): fix xine based browser plugin (Mdk bug #29513)


* Thu Apr 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 150718
- new version
- fix buildrequires

* Mon Mar 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-6mdv2007.1
+ Revision: 148755
- Fix BuildRequires to get multimedia key support built

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-5mdv2007.1
+ Revision: 148596
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-4mdv2007.1
+ Revision: 148367
- rebuild for new firefox

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 147865
- Fix previous commit to only do needed job

  + Adam Williamson <awilliamson@mandriva.com>
    - update icons (stop using old sourced ones, install all fd.o icons)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 146541
- Fix upgrade from 2007.0, forcing update-alternative --auto for totem-mozilla

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140337
- new version
- drop patches

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-5mdv2007.1
+ Revision: 133882
-Add ChangeLog to devel package
-Patch1 : fix ogg audio file playback in xine version (Mdv bug #29205)

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 130793
- do not package huge (0.6Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-3mdv2007.1
+ Revision: 126291
- rebuild for new firefox

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125913
- fix libtotem-plparser exports for gnome-python-desktop

* Tue Feb 20 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 123133
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 117810
- new version
- drop merged patches

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-4mdv2007.1
+ Revision: 117370
- fix the patch by using the upstream svn version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-3mdv2007.1
+ Revision: 117293
- fix wrong colours in the video thumbnailer with the xine backend
- fix exports of the plparser library (upstream bug #404304)

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 115077
- new version
- fix build with new gnome-doc-utils
- reenable parallel make

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109601
- new version
- fix buildrequires
- fix build
- drop patch

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-6mdv2007.1
+ Revision: 106107
- rebuild

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-5mdv2007.1
+ Revision: 92165
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 87597
- fix buildrequires
- fix buildrequires
- fix buildrequires
- new version
- fix build (upstream bug #378096)
- add totem-video-indexer
- drop patch 0

* Wed Nov 15 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 84421
- bot rebuild
- new version
- new version
- fix group (bug #27100)

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.0
+ Revision: 80517
- unpacked patch
- unpack patch
- Import totem

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
- New version 2.16.2

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch0: don't try to stat glade file, workaround Mdv bug #26244

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Rebuild for latest firefox

* Sat Sep 09 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- add new plugin
- New version 2.16.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch
- New release 2.16.0

* Wed Aug 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.92-2mdv2007.0
- Patch0: allow keyboard dvd navigation

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.5.92-1mdv2007.0
- drop patch
- New release 1.5.92

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.91-3mdv2007.0
- Patch0 (CVS): fix i18n missing (GNOME bug #351357)

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 1.5.91-2mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1.5.91-1mdv2007.0
- fix new mozilla plugin
- New release 1.5.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 1.5.90-1mdv2007.0
- new macros
- xdg menu
- New release 1.5.90

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdv2007.0
- bump xine deps
- New release 1.5.4

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 1.5.2-1mdv2007.0
- add icons
- New release 1.5.2

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2007.0
- Release 1.5.1
- Remove patch0, merged upstream

* Fri May 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-2mdk
- drop XFree86 requires

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Fri May 05 2006 Götz Waschk <waschk@mandriva.org> 1.4.0-4mdk
- add missing translations

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdk
- Rebuild with latest firefox

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-2mdk
- Update patch0 with CVS fix

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- rebuild for new dbus

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch 1
- New release 1.2.1

* Thu Dec 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-7mdk
- Fix mimetypes, uses upstream list

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-6mdk
- rebuild for new openssl on x86_64

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-5mdk
- rebuild for new openssl

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- upstream fix for bug 19187

* Fri Oct 14 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix buildrequires
- build fix without mozilla plugin

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdk
- Release 1.2.0 (merged from Gotz package)
- Patch0 (gotz): fix nautilus extension soname

* Sat Aug 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2mdk
- Add conflict to allow to install from mdk 10.2

* Fri Jun 24 2005 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sun May 01 2005 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- drop merged patch
- New release 1.0.2

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-4mdk 
- Change nautilus extension filename to prevent warning

* Thu Apr 28 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- fix typo on the update-alternatives call

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdk 
- Create subpackage totem-gstreamer for gstreamer backend

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1
- Remove patches 0, 1, 2 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk 
- Patch2: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk 
- Patch0 (CVS): fix crash with some ASF file
- Patch1 (CVS): fix DND from konqueror

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk 
- Release 1.0
- Regenerate patch0

* Fri Jan 28 2005 Götz Waschk <waschk@linux-mandrake.com> 0.101-3mdk
- fix buildrequires

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dydndns.org> 0.101-2mdk
- add BuildRequires: libnautilus-devel

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.101-1mdk
- New release 0.101
- Patch0 : use old (ie 2.8.x) nautilus-burn API

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-2mdk 
- Rebuild with latest howl

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.100-1mdk
- New release 0.100

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.22-2mdk
- add BuildRequires: libgnomeui2-devel libgnome-desktop-2-devel

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.22-1mdk
- New release 0.99.22

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.21-2mdk 
- Remove patch1 (merged upstream)

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.21-1mdk
- drop patch 2
- New release 0.99.21

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.20-3mdk
- Fix mimetype

* Tue Nov 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.20-2mdk
- disable colorkey (fixes bug #11273)

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.20-1mdk
- New release 0.99.20
- add omf files to lang
- don't depend on gnome-desktop
- needs libnautilus-burn
- drop patches 0,2,3,4

* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-5mdk
- Update patch2 to fix parsing of Real/asf files

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-4mdk
- Patch2 (CVS): various bug fixes
- Patch3: fix error message when playing crypted DVD
- Patch4: fix remote action when using dvd: or cd:

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.15.1-3mdk
- Descease InitialPreference to launch kaffeine under KDE environement

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-2mdk
- Patch0: fix KDE detection (Mdk bug #10991)
- Patch1: add thumbnail for Matroska

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.15.1-1mdk
- New release 0.99.15.1

* Sat Jul 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.14-1mdk
- drop yelp stuff
- New release 0.99.14

* Mon Jul 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.13-1mdk
- new version

* Mon Jun 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.12-1mdk
- add source URL
- New release 0.99.12

* Sat Jun 05 2004 <lmontel@komp1.mandrakesoft.com> 0.99.11-2mdk
- REbuild

* Sat May 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.11-1mdk
- requires new xine
- new version

* Tue Apr 13 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- drop the patch

* Sat Apr 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add man page
- requires new xine
- build with nvtv
- don't require curl anymore
- drop patch 1
- new version

